CopyHero

Put Monday Sync

PUT
/api/v1/product-library/folders/{folder_id}/monday-sync

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

folder_id*Folder Id
Formatuuid

Request Body

application/json
  1. body
connection_id*Connection Id
board_id*Board Id
Length1 <= length
product_url_column_id*Product Url Column Id
Length1 <= length
outbound_item_name_override?|null
outbound_column_overrides?
group_mode*Group Mode
Match^(flat|monday_groups_as_subfolders)$
default_group_id*Default Group Id
Length1 <= length

Response Body

Successful Response

application/json
  1. response
id*Id
Formatuuid
folder_id*Folder Id
Formatuuid
connection_id*Connection Id
board_id*Board Id
state*State
config_version*Config Version
binding_generation*Binding Generation
product_url_column_id*Product Url Column Id
correlation_column_id*string|null
outbound_item_name_override?|null
outbound_column_overrides?
group_mode*Group Mode
default_group_id*string|null
bootstrap_total*Bootstrap Total
bootstrap_processed*Bootstrap Processed
bootstrap_failed*Bootstrap Failed
item_state_counts?
groups?array<>
last_reconciled_at?|null
last_error?string|null
Example Request
curl -X PUT 'https://app.copyhero.app/api/v1/product-library/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08/monday-sync' \  -H 'Content-Type: application/json' \  -d '{  "connection_id": 0,  "board_id": "string",  "product_url_column_id": "string",  "group_mode": "string",  "default_group_id": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",  "connection_id": 0,  "board_id": "string",  "state": "string",  "config_version": 0,  "binding_generation": 0,  "product_url_column_id": "string",  "correlation_column_id": "string",  "outbound_item_name_override": {    "mode": "product_field",    "value": "string"  },  "outbound_column_overrides": {    "property1": {      "mode": "product_field",      "value": "string"    },    "property2": {      "mode": "product_field",      "value": "string"    }  },  "group_mode": "string",  "default_group_id": "string",  "bootstrap_total": 0,  "bootstrap_processed": 0,  "bootstrap_failed": 0,  "item_state_counts": {    "property1": 0,    "property2": 0  },  "groups": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "monday_group_id": "string",      "subfolder_id": "2c5625a0-479e-4014-b3fd-91f48ab3e92e",      "title": "string",      "state": "string",      "product_count": 0    }  ],  "last_reconciled_at": "2019-08-24T14:15:22Z",  "last_error": "string"}